curl --request PATCH \
--url https://api.tread-horizon.com/v1/add_ons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cost_rate_value": 123,
"revenue_rate_value": 123,
"revenue_cost_rate_type": "RateForEach",
"add_on_types": [
"driver_pay"
],
"quantity": 123,
"external_id": "<string>",
"percentage": 0,
"accounting_id": "<string>",
"rate": 123,
"add_on_rate_type": "RateForEach",
"fuel_surcharge_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxable": false
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"add_on_types": [
"driver_pay"
],
"quantity": "<string>",
"cost_rate_value": "<string>",
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"external_id": "<string>",
"percentage": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"accounting_id": "<string>",
"rate": "<string>",
"add_on_rate_type": "RateForEach",
"taxable": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"fuel_surcharge_schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Update an AddOn by ID.
curl --request PATCH \
--url https://api.tread-horizon.com/v1/add_ons/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"cost_rate_value": 123,
"revenue_rate_value": 123,
"revenue_cost_rate_type": "RateForEach",
"add_on_types": [
"driver_pay"
],
"quantity": 123,
"external_id": "<string>",
"percentage": 0,
"accounting_id": "<string>",
"rate": 123,
"add_on_rate_type": "RateForEach",
"fuel_surcharge_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxable": false
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"add_on_types": [
"driver_pay"
],
"quantity": "<string>",
"cost_rate_value": "<string>",
"revenue_rate_value": "<string>",
"revenue_cost_rate_type": "RateForEach",
"external_id": "<string>",
"percentage": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"accounting_id": "<string>",
"rate": "<string>",
"add_on_rate_type": "RateForEach",
"taxable": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"fuel_surcharge_schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
AddOn ID
The cost rate or buy price of the add on.
The revenue rate or sell price of the add on.
RateForEach, RatePercentOfTotal, PerLoad, FuelSurcharge "RateForEach"
driver_pay, invoicing, job, settlement, driver_day -100 <= x <= 100Deprecated in favor of revenue_rate_value.
Deprecated in favor of revenue_cost_rate_type.
RateForEach, RatePercentOfTotal, PerLoad, FuelSurcharge "RateForEach"
Whether this add-on is eligible for taxation
OK
Show child attributes